<?xml version="1.0" encoding="UTF-8"?>

<!--XBRL Document Created with the Workiva Platform-->
<!--Copyright 2026 Workiva-->
<!--r:f4ddc512-4d88-4f36-a1eb-13b14ffb6e39,g:ecc065ce-0306-43ee-8bbf-ba623b5a299b-->
<xs:schema xmlns:xs="http://www.w3.org/2001/XMLSchema" xmlns:link="http://www.xbrl.org/2003/linkbase" xmlns:erii="http://www.energyrecovery.com/20251231" xmlns:xbrli="http://www.xbrl.org/2003/instance" xmlns:dtr-types="http://www.xbrl.org/dtr/type/2024-01-31" xmlns:xbrldt="http://xbrl.org/2005/xbrldt" attributeFormDefault="unqualified" elementFormDefault="qualified" targetNamespace="http://www.energyrecovery.com/20251231">
  <xs:import namespace="http://fasb.org/srt/2025" schemaLocation="https://xbrl.fasb.org/srt/2025/elts/srt-2025.xsd"/>
  <xs:import namespace="http://fasb.org/us-gaap/2025" schemaLocation="https://xbrl.fasb.org/us-gaap/2025/elts/us-gaap-2025.xsd"/>
  <xs:import namespace="http://www.xbrl.org/2003/instance" schemaLocation="http://www.xbrl.org/2003/xbrl-instance-2003-12-31.xsd"/>
  <xs:import namespace="http://www.xbrl.org/2003/linkbase" schemaLocation="http://www.xbrl.org/2003/xbrl-linkbase-2003-12-31.xsd"/>
  <xs:import namespace="http://www.xbrl.org/dtr/type/2024-01-31" schemaLocation="https://www.xbrl.org/dtr/type/2024-01-31/types.xsd"/>
  <xs:import namespace="http://xbrl.org/2005/xbrldt" schemaLocation="http://www.xbrl.org/2005/xbrldt-2005.xsd"/>
  <xs:import namespace="http://xbrl.sec.gov/country/2025" schemaLocation="https://xbrl.sec.gov/country/2025/country-2025.xsd"/>
  <xs:import namespace="http://xbrl.sec.gov/cyd-af-sub/2025" schemaLocation="https://xbrl.sec.gov/cyd/2025/cyd-af-sub-2025.xsd"/>
  <xs:import namespace="http://xbrl.sec.gov/dei/2025" schemaLocation="https://xbrl.sec.gov/dei/2025/dei-2025.xsd"/>
  <xs:import namespace="http://xbrl.sec.gov/ecd/2025" schemaLocation="https://xbrl.sec.gov/ecd/2025/ecd-2025.xsd"/>
  <xs:annotation>
    <xs:appinfo>
      <link:linkbaseRef xmlns:xlink="http://www.w3.org/1999/xlink" xlink:arcrole="http://www.w3.org/1999/xlink/properties/linkbase" xlink:href="erii-20251231_pre.xml" xlink:role="http://www.xbrl.org/2003/role/presentationLinkbaseRef" xlink:type="simple"/>
      <link:linkbaseRef xmlns:xlink="http://www.w3.org/1999/xlink" xlink:arcrole="http://www.w3.org/1999/xlink/properties/linkbase" xlink:href="erii-20251231_def.xml" xlink:role="http://www.xbrl.org/2003/role/definitionLinkbaseRef" xlink:type="simple"/>
      <link:linkbaseRef xmlns:xlink="http://www.w3.org/1999/xlink" xlink:arcrole="http://www.w3.org/1999/xlink/properties/linkbase" xlink:href="erii-20251231_lab.xml" xlink:role="http://www.xbrl.org/2003/role/labelLinkbaseRef" xlink:type="simple"/>
      <link:linkbaseRef xmlns:xlink="http://www.w3.org/1999/xlink" xlink:arcrole="http://www.w3.org/1999/xlink/properties/linkbase" xlink:href="erii-20251231_cal.xml" xlink:role="http://www.xbrl.org/2003/role/calculationLinkbaseRef" xlink:type="simple"/>
      <link:roleType id="CoverPage" roleURI="http://www.energyrecovery.com/role/CoverPage">
        <link:definition>0000001 - Document - Cover Page</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType id="AuditInformation" roleURI="http://www.energyrecovery.com/role/AuditInformation">
        <link:definition>0000002 - Document - Audit Information</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType id="CONSOLIDATEDBALANCESHEETS" roleURI="http://www.energyrecovery.com/role/CONSOLIDATEDBALANCESHEETS">
        <link:definition>9952151 - Statement - CONSOLIDATED BALANCE SHEETS</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType id="CONSOLIDATEDBALANCESHEETSParenthetical" roleURI="http://www.energyrecovery.com/role/CONSOLIDATEDBALANCESHEETSParenthetical">
        <link:definition>9952152 - Statement - CONSOLIDATED BALANCE SHEETS (Parenthetical)</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType id="CONSOLIDATEDSTATEMENTSOFOPERATIONS" roleURI="http://www.energyrecovery.com/role/CONSOLIDATEDSTATEMENTSOFOPERATIONS">
        <link:definition>9952153 - Statement - CONSOLIDATED STATEMENTS OF OPERATIONS</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType id="CONSOLIDATEDSTATEMENTSOFCOMPREHENSIVEINCOME" roleURI="http://www.energyrecovery.com/role/CONSOLIDATEDSTATEMENTSOFCOMPREHENSIVEINCOME">
        <link:definition>9952154 - Statement - CONSOLIDATED STATEMENTS OF COMPREHENSIVE INCOME</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType id="CONSOLIDATEDSTATEMENTSOFSTOCKHOLDERSEQUITY" roleURI="http://www.energyrecovery.com/role/CONSOLIDATEDSTATEMENTSOFSTOCKHOLDERSEQUITY">
        <link:definition>9952155 - Statement - CONSOLIDATED STATEMENTS OF STOCKHOLDERS&#8217; EQUITY</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType id="CONSOLIDATEDSTATEMENTSOFCASHFLOWS" roleURI="http://www.energyrecovery.com/role/CONSOLIDATEDSTATEMENTSOFCASHFLOWS">
        <link:definition>9952156 - Statement - CONSOLIDATED STATEMENTS OF CASH FLOWS</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType id="DescriptionofBusinessandSignificantAccountingPolicies" roleURI="http://www.energyrecovery.com/role/DescriptionofBusinessandSignificantAccountingPolicies">
        <link:definition>9952157 - Disclosure - Description of Business and Significant Accounting Policies</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType id="Revenue" roleURI="http://www.energyrecovery.com/role/Revenue">
        <link:definition>9952158 - Disclosure - Revenue</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType id="NetIncomePerShare" roleURI="http://www.energyrecovery.com/role/NetIncomePerShare">
        <link:definition>9952159 - Disclosure - Net Income Per Share</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType id="OtherFinancialInformation" roleURI="http://www.energyrecovery.com/role/OtherFinancialInformation">
        <link:definition>9952160 - Disclosure - Other Financial Information</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType id="InvestmentsandFairValueMeasurements" roleURI="http://www.energyrecovery.com/role/InvestmentsandFairValueMeasurements">
        <link:definition>9952161 - Disclosure - Investments and Fair Value Measurements</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType id="LinesofCredit" roleURI="http://www.energyrecovery.com/role/LinesofCredit">
        <link:definition>9952162 - Disclosure - Lines of Credit</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType id="CommitmentsandContingencies" roleURI="http://www.energyrecovery.com/role/CommitmentsandContingencies">
        <link:definition>9952163 - Disclosure - Commitments and Contingencies</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType id="IncomeTaxes" roleURI="http://www.energyrecovery.com/role/IncomeTaxes">
        <link:definition>9952164 - Disclosure - Income Taxes</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType id="SegmentReporting" roleURI="http://www.energyrecovery.com/role/SegmentReporting">
        <link:definition>9952165 - Disclosure - Segment Reporting</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType id="Concentrations" roleURI="http://www.energyrecovery.com/role/Concentrations">
        <link:definition>9952166 - Disclosure - Concentrations</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType id="StockholdersEquity" roleURI="http://www.energyrecovery.com/role/StockholdersEquity">
        <link:definition>9952167 - Disclosure - Stockholders' Equity</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType id="StockbasedCompensation" roleURI="http://www.energyrecovery.com/role/StockbasedCompensation">
        <link:definition>9952168 - Disclosure - Stock-based Compensation</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType id="SubsequentEvents" roleURI="http://www.energyrecovery.com/role/SubsequentEvents">
        <link:definition>9952169 - Disclosure - Subsequent Events</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType id="DescriptionofBusinessandSignificantAccountingPoliciesPolicies" roleURI="http://www.energyrecovery.com/role/DescriptionofBusinessandSignificantAccountingPoliciesPolicies">
        <link:definition>9955511 - Disclosure - Description of Business and Significant Accounting Policies (Policies)</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType id="DescriptionofBusinessandSignificantAccountingPoliciesTables" roleURI="http://www.energyrecovery.com/role/DescriptionofBusinessandSignificantAccountingPoliciesTables">
        <link:definition>9955512 - Disclosure - Description of Business and Significant Accounting Policies (Tables)</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType id="RevenueTables" roleURI="http://www.energyrecovery.com/role/RevenueTables">
        <link:definition>9955513 - Disclosure - Revenue (Tables)</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType id="NetIncomePerShareTables" roleURI="http://www.energyrecovery.com/role/NetIncomePerShareTables">
        <link:definition>9955514 - Disclosure - Net Income Per Share (Tables)</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType id="OtherFinancialInformationTables" roleURI="http://www.energyrecovery.com/role/OtherFinancialInformationTables">
        <link:definition>9955515 - Disclosure - Other Financial Information (Tables)</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType id="InvestmentsandFairValueMeasurementsTables" roleURI="http://www.energyrecovery.com/role/InvestmentsandFairValueMeasurementsTables">
        <link:definition>9955516 - Disclosure - Investments and Fair Value Measurements (Tables)</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType id="CommitmentsandContingenciesTables" roleURI="http://www.energyrecovery.com/role/CommitmentsandContingenciesTables">
        <link:definition>9955517 - Disclosure - Commitments and Contingencies (Tables)</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType id="IncomeTaxesTables" roleURI="http://www.energyrecovery.com/role/IncomeTaxesTables">
        <link:definition>9955518 - Disclosure - Income Taxes (Tables)</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType id="SegmentReportingTables" roleURI="http://www.energyrecovery.com/role/SegmentReportingTables">
        <link:definition>9955519 - Disclosure - Segment Reporting (Tables)</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType id="ConcentrationsTables" roleURI="http://www.energyrecovery.com/role/ConcentrationsTables">
        <link:definition>9955520 - Disclosure - Concentrations (Tables)</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType id="StockholdersEquityTables" roleURI="http://www.energyrecovery.com/role/StockholdersEquityTables">
        <link:definition>9955521 - Disclosure - Stockholders' Equity (Tables)</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType id="StockbasedCompensationTables" roleURI="http://www.energyrecovery.com/role/StockbasedCompensationTables">
        <link:definition>9955522 - Disclosure - Stock-based Compensation (Tables)</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType id="DescriptionofBusinessandSignificantAccountingPoliciesDetails" roleURI="http://www.energyrecovery.com/role/DescriptionofBusinessandSignificantAccountingPoliciesDetails">
        <link:definition>9955523 - Disclosure - Description of Business and Significant Accounting Policies (Details)</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType id="RevenueNarrativeDetails" roleURI="http://www.energyrecovery.com/role/RevenueNarrativeDetails">
        <link:definition>9955524 - Disclosure - Revenue - Narrative (Details)</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType id="RevenueNarrativeDetails_1" roleURI="http://www.energyrecovery.com/role/RevenueNarrativeDetails_1">
        <link:definition>9955524 - Disclosure - Revenue - Narrative (Details)</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType id="RevenueScheduleofDisaggregationofRevenueDetails" roleURI="http://www.energyrecovery.com/role/RevenueScheduleofDisaggregationofRevenueDetails">
        <link:definition>9955525 - Disclosure - Revenue - Schedule of Disaggregation of Revenue (Details)</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType id="RevenueScheduleofSignificantChangesinContractAssetsDetails" roleURI="http://www.energyrecovery.com/role/RevenueScheduleofSignificantChangesinContractAssetsDetails">
        <link:definition>9955526 - Disclosure - Revenue - Schedule of Significant Changes in Contract Assets (Details)</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType id="RevenueScheduleofContractWithCustomerContractLiabilityActivityDetails" roleURI="http://www.energyrecovery.com/role/RevenueScheduleofContractWithCustomerContractLiabilityActivityDetails">
        <link:definition>9955527 - Disclosure - Revenue - Schedule of Contract With Customer, Contract Liability, Activity (Details)</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType id="RevenueScheduleofRemainingPerformanceObligationDetails" roleURI="http://www.energyrecovery.com/role/RevenueScheduleofRemainingPerformanceObligationDetails">
        <link:definition>9955528 - Disclosure - Revenue - Schedule of Remaining Performance Obligation (Details)</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType id="RevenueScheduleofRemainingPerformanceObligationDetails_1" roleURI="http://www.energyrecovery.com/role/RevenueScheduleofRemainingPerformanceObligationDetails_1">
        <link:definition>9955528 - Disclosure - Revenue - Schedule of Remaining Performance Obligation (Details)</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType id="NetIncomePerShareScheduleofComputationofBasicandDilutedNetIncomeLossPerCommonShareDetails" roleURI="http://www.energyrecovery.com/role/NetIncomePerShareScheduleofComputationofBasicandDilutedNetIncomeLossPerCommonShareDetails">
        <link:definition>9955529 - Disclosure - Net Income Per Share - Schedule of Computation of Basic and Diluted Net Income (Loss) Per Common Share (Details)</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType id="NetIncomePerShareScheduleofAntidilutiveSecuritiesExcludedFromComputationofDilutedEarningsPerShareDetails" roleURI="http://www.energyrecovery.com/role/NetIncomePerShareScheduleofAntidilutiveSecuritiesExcludedFromComputationofDilutedEarningsPerShareDetails">
        <link:definition>9955530 - Disclosure - Net Income Per Share - Schedule of Antidilutive Securities Excluded From Computation of Diluted Earnings Per Share (Details)</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType id="OtherFinancialInformationScheduleofCashCashEquivalentsandRestrictedCashDetails" roleURI="http://www.energyrecovery.com/role/OtherFinancialInformationScheduleofCashCashEquivalentsandRestrictedCashDetails">
        <link:definition>9955531 - Disclosure - Other Financial Information - Schedule of Cash, Cash Equivalents and Restricted Cash (Details)</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType id="OtherFinancialInformationScheduleofAllowanceforDoubtfulAccountsDetails" roleURI="http://www.energyrecovery.com/role/OtherFinancialInformationScheduleofAllowanceforDoubtfulAccountsDetails">
        <link:definition>9955532 - Disclosure - Other Financial Information - Schedule of Allowance for Doubtful Accounts (Details)</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType id="OtherFinancialInformationScheduleofInventoriesNetDetails" roleURI="http://www.energyrecovery.com/role/OtherFinancialInformationScheduleofInventoriesNetDetails">
        <link:definition>9955533 - Disclosure - Other Financial Information - Schedule of Inventories, Net (Details)</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType id="OtherFinancialInformationScheduleofPropertyandEquipmentDetails" roleURI="http://www.energyrecovery.com/role/OtherFinancialInformationScheduleofPropertyandEquipmentDetails">
        <link:definition>9955534 - Disclosure - Other Financial Information - Schedule of Property and Equipment (Details)</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType id="OtherFinancialInformationScheduleofDepreciationandAmortizationDetails" roleURI="http://www.energyrecovery.com/role/OtherFinancialInformationScheduleofDepreciationandAmortizationDetails">
        <link:definition>9955535 - Disclosure - Other Financial Information - Schedule of Depreciation and Amortization (Details)</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType id="OtherFinancialInformationGoodwillDetails" roleURI="http://www.energyrecovery.com/role/OtherFinancialInformationGoodwillDetails">
        <link:definition>9955536 - Disclosure - Other Financial Information - Goodwill (Details)</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType id="OtherFinancialInformationScheduleofAccruedExpensesandOtherLiabilitiesDetails" roleURI="http://www.energyrecovery.com/role/OtherFinancialInformationScheduleofAccruedExpensesandOtherLiabilitiesDetails">
        <link:definition>9955537 - Disclosure - Other Financial Information - Schedule of Accrued Expenses and Other Liabilities (Details)</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType id="OtherFinancialInformationRestructuringNarrativeDetails" roleURI="http://www.energyrecovery.com/role/OtherFinancialInformationRestructuringNarrativeDetails">
        <link:definition>9955538 - Disclosure - Other Financial Information - Restructuring Narrative (Details)</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType id="OtherFinancialInformationScheduleofRestructuringDetails" roleURI="http://www.energyrecovery.com/role/OtherFinancialInformationScheduleofRestructuringDetails">
        <link:definition>9955539 - Disclosure - Other Financial Information - Schedule of Restructuring (Details)</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType id="OtherFinancialInformationRestructuringAccrualBalancesDetails" roleURI="http://www.energyrecovery.com/role/OtherFinancialInformationRestructuringAccrualBalancesDetails">
        <link:definition>9955540 - Disclosure - Other Financial Information - Restructuring Accrual Balances (Details)</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType id="OtherFinancialInformationAccumulatedOtherComprehensiveLossIncomeDetails" roleURI="http://www.energyrecovery.com/role/OtherFinancialInformationAccumulatedOtherComprehensiveLossIncomeDetails">
        <link:definition>9955541 - Disclosure - Other Financial Information - Accumulated Other Comprehensive (Loss) Income (Details)</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType id="InvestmentsandFairValueMeasurementsNarrativeDetails" roleURI="http://www.energyrecovery.com/role/InvestmentsandFairValueMeasurementsNarrativeDetails">
        <link:definition>9955542 - Disclosure - Investments and Fair Value Measurements - Narrative (Details)</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType id="InvestmentsandFairValueMeasurementsScheduleofAmortizedCostandFairValueofAvailableforSaleSecuritiesDetails" roleURI="http://www.energyrecovery.com/role/InvestmentsandFairValueMeasurementsScheduleofAmortizedCostandFairValueofAvailableforSaleSecuritiesDetails">
        <link:definition>9955543 - Disclosure - Investments and Fair Value Measurements - Schedule of Amortized Cost and Fair Value of Available for Sale Securities (Details)</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType id="InvestmentsandFairValueMeasurementsSalesofAvailableforSaleInvestmentsDetails" roleURI="http://www.energyrecovery.com/role/InvestmentsandFairValueMeasurementsSalesofAvailableforSaleInvestmentsDetails">
        <link:definition>9955544 - Disclosure - Investments and Fair Value Measurements - Sales of Available-for-Sale Investments (Details)</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType id="LinesofCreditDetails" roleURI="http://www.energyrecovery.com/role/LinesofCreditDetails">
        <link:definition>9955545 - Disclosure - Lines of Credit - (Details)</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType id="LinesofCreditLettersofCreditOutstandingDetails" roleURI="http://www.energyrecovery.com/role/LinesofCreditLettersofCreditOutstandingDetails">
        <link:definition>9955546 - Disclosure - Lines of Credit - Letters of Credit Outstanding (Details)</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType id="CommitmentsandContingenciesScheduleofCompanysMaterialPropertyLeasesDetails" roleURI="http://www.energyrecovery.com/role/CommitmentsandContingenciesScheduleofCompanysMaterialPropertyLeasesDetails">
        <link:definition>9955547 - Disclosure - Commitments and Contingencies - Schedule of Company&#8217;s Material Property Leases (Details)</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType id="CommitmentsandContingenciesNarrativeDetails" roleURI="http://www.energyrecovery.com/role/CommitmentsandContingenciesNarrativeDetails">
        <link:definition>9955548 - Disclosure - Commitments and Contingencies - Narrative (Details)</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType id="CommitmentsandContingenciesScheduleofLeaseCostDetails" roleURI="http://www.energyrecovery.com/role/CommitmentsandContingenciesScheduleofLeaseCostDetails">
        <link:definition>9955549 - Disclosure - Commitments and Contingencies - Schedule of Lease Cost (Details)</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType id="CommitmentsandContingenciesScheduleofWeightedAverageLeaseTermandDiscountRateDetails" roleURI="http://www.energyrecovery.com/role/CommitmentsandContingenciesScheduleofWeightedAverageLeaseTermandDiscountRateDetails">
        <link:definition>9955550 - Disclosure - Commitments and Contingencies - Schedule of Weighted Average Lease Term and Discount Rate (Details)</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType id="CommitmentsandContingenciesScheduleofMaturitiesofLeaseLiabilitiesDetails" roleURI="http://www.energyrecovery.com/role/CommitmentsandContingenciesScheduleofMaturitiesofLeaseLiabilitiesDetails">
        <link:definition>9955551 - Disclosure - Commitments and Contingencies - Schedule of Maturities of Lease Liabilities (Details)</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType id="CommitmentsandContingenciesScheduleofMaturitiesofLeaseLiabilitiesDetails_1" roleURI="http://www.energyrecovery.com/role/CommitmentsandContingenciesScheduleofMaturitiesofLeaseLiabilitiesDetails_1">
        <link:definition>9955551 - Disclosure - Commitments and Contingencies - Schedule of Maturities of Lease Liabilities (Details)</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType id="CommitmentsandContingenciesScheduleofProductWarrantyLiabilityDetails" roleURI="http://www.energyrecovery.com/role/CommitmentsandContingenciesScheduleofProductWarrantyLiabilityDetails">
        <link:definition>9955552 - Disclosure - Commitments and Contingencies - Schedule of Product Warranty Liability (Details)</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType id="IncomeTaxesScheduleofComponentsofIncomeTaxExpenseDetails" roleURI="http://www.energyrecovery.com/role/IncomeTaxesScheduleofComponentsofIncomeTaxExpenseDetails">
        <link:definition>9955553 - Disclosure - Income Taxes - Schedule of Components of Income Tax Expense (Details)</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType id="IncomeTaxesScheduleofEffectiveIncomeTaxRateReconciliationDetails" roleURI="http://www.energyrecovery.com/role/IncomeTaxesScheduleofEffectiveIncomeTaxRateReconciliationDetails">
        <link:definition>9955554 - Disclosure - Income Taxes - Schedule of Effective Income Tax Rate Reconciliation (Details)</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType id="IncomeTaxesScheduleofDeferredTaxAssetsandLiabilitiesDetails" roleURI="http://www.energyrecovery.com/role/IncomeTaxesScheduleofDeferredTaxAssetsandLiabilitiesDetails">
        <link:definition>9955555 - Disclosure - Income Taxes - Schedule of Deferred Tax Assets and Liabilities (Details)</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType id="IncomeTaxesScheduleofValuationAllowanceDetails" roleURI="http://www.energyrecovery.com/role/IncomeTaxesScheduleofValuationAllowanceDetails">
        <link:definition>9955556 - Disclosure - Income Taxes - Schedule of Valuation Allowance (Details)</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType id="IncomeTaxesAdditionalInformationDetails" roleURI="http://www.energyrecovery.com/role/IncomeTaxesAdditionalInformationDetails">
        <link:definition>9955557 - Disclosure - Income Taxes - Additional Information (Details)</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType id="IncomeTaxesSummaryofOperatingLossCarryforwardsDetails" roleURI="http://www.energyrecovery.com/role/IncomeTaxesSummaryofOperatingLossCarryforwardsDetails">
        <link:definition>9955558 - Disclosure - Income Taxes - Summary of Operating Loss Carryforwards (Details)</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType id="IncomeTaxesSummaryofTaxCreditCarryforwardsDetails" roleURI="http://www.energyrecovery.com/role/IncomeTaxesSummaryofTaxCreditCarryforwardsDetails">
        <link:definition>9955559 - Disclosure - Income Taxes - Summary of Tax Credit Carryforwards (Details)</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType id="IncomeTaxesScheduleofNetCashPaidDetails" roleURI="http://www.energyrecovery.com/role/IncomeTaxesScheduleofNetCashPaidDetails">
        <link:definition>9955560 - Disclosure - Income Taxes - Schedule of Net Cash Paid (Details)</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType id="IncomeTaxesScheduleofUnrecognizedTaxBenefitsRollForwardDetails" roleURI="http://www.energyrecovery.com/role/IncomeTaxesScheduleofUnrecognizedTaxBenefitsRollForwardDetails">
        <link:definition>9955561 - Disclosure - Income Taxes - Schedule of Unrecognized Tax Benefits Roll Forward (Details)</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType id="SegmentReportingScheduleofFinancialInformationbySegmentDetails" roleURI="http://www.energyrecovery.com/role/SegmentReportingScheduleofFinancialInformationbySegmentDetails">
        <link:definition>9955562 - Disclosure - Segment Reporting - Schedule of Financial Information by Segment (Details)</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType id="SegmentReportingScheduleofSegmentReportingInformationbySegmentDetails" roleURI="http://www.energyrecovery.com/role/SegmentReportingScheduleofSegmentReportingInformationbySegmentDetails">
        <link:definition>9955563 - Disclosure - Segment Reporting - Schedule of Segment Reporting Information, by Segment (Details)</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType id="ConcentrationsScheduleofRevenuebyGeographicLocationandCountryDetails" roleURI="http://www.energyrecovery.com/role/ConcentrationsScheduleofRevenuebyGeographicLocationandCountryDetails">
        <link:definition>9955564 - Disclosure - Concentrations - Schedule of Revenue by Geographic Location and Country (Details)</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType id="ConcentrationsCustomerRevenueConcentrationDetails" roleURI="http://www.energyrecovery.com/role/ConcentrationsCustomerRevenueConcentrationDetails">
        <link:definition>9955565 - Disclosure - Concentrations - Customer Revenue Concentration (Details)</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType id="ConcentrationsMajorSupplyVendorsDetails" roleURI="http://www.energyrecovery.com/role/ConcentrationsMajorSupplyVendorsDetails">
        <link:definition>9955566 - Disclosure - Concentrations - Major Supply Vendors (Details)</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType id="StockholdersEquityPreferredStockandCommonStockDetails" roleURI="http://www.energyrecovery.com/role/StockholdersEquityPreferredStockandCommonStockDetails">
        <link:definition>9955567 - Disclosure - Stockholders' Equity - Preferred Stock and Common Stock (Details)</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType id="StockholdersEquityShareRepurchaseProgramDetails" roleURI="http://www.energyrecovery.com/role/StockholdersEquityShareRepurchaseProgramDetails">
        <link:definition>9955568 - Disclosure - Stockholders' Equity - Share Repurchase Program (Details)</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType id="StockholdersEquityStockRepurchaseProgramDetails" roleURI="http://www.energyrecovery.com/role/StockholdersEquityStockRepurchaseProgramDetails">
        <link:definition>9955569 - Disclosure - Stockholders' Equity - Stock Repurchase Program (Details)</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType id="StockbasedCompensationNarrativeDetails" roleURI="http://www.energyrecovery.com/role/StockbasedCompensationNarrativeDetails">
        <link:definition>9955570 - Disclosure - Stock-based Compensation - Narrative (Details)</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType id="StockbasedCompensationScheduleofBlackScholesOptionPricingModelAssumptionsDetails" roleURI="http://www.energyrecovery.com/role/StockbasedCompensationScheduleofBlackScholesOptionPricingModelAssumptionsDetails">
        <link:definition>9955571 - Disclosure - Stock-based Compensation - Schedule of Black-Scholes Option Pricing Model Assumptions (Details)</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType id="StockbasedCompensationScheduleofForfeitureRateDetails" roleURI="http://www.energyrecovery.com/role/StockbasedCompensationScheduleofForfeitureRateDetails">
        <link:definition>9955572 - Disclosure - Stock-based Compensation - Schedule of Forfeiture Rate (Details)</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType id="StockbasedCompensationScheduleofSharebasedCompensationExpenseDetails" roleURI="http://www.energyrecovery.com/role/StockbasedCompensationScheduleofSharebasedCompensationExpenseDetails">
        <link:definition>9955573 - Disclosure - Stock-based Compensation - Schedule of Share-based Compensation Expense (Details)</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType id="StockbasedCompensationScheduleofStockOptionActivityDetails" roleURI="http://www.energyrecovery.com/role/StockbasedCompensationScheduleofStockOptionActivityDetails">
        <link:definition>9955574 - Disclosure - Stock-based Compensation - Schedule of Stock Option Activity (Details)</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType id="StockbasedCompensationScheduleofRestrictedStockUnitsActivityDetails" roleURI="http://www.energyrecovery.com/role/StockbasedCompensationScheduleofRestrictedStockUnitsActivityDetails">
        <link:definition>9955575 - Disclosure - Stock-based Compensation - Schedule of Restricted Stock Units Activity (Details)</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType id="StockbasedCompensationScheduleofVestedEquityAwardsDetails" roleURI="http://www.energyrecovery.com/role/StockbasedCompensationScheduleofVestedEquityAwardsDetails">
        <link:definition>9955576 - Disclosure - Stock-based Compensation - Schedule of Vested Equity Awards (Details)</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType id="StockbasedCompensationScheduleofUnamortizedCompensationCostandGrantDateFairValueDetails" roleURI="http://www.energyrecovery.com/role/StockbasedCompensationScheduleofUnamortizedCompensationCostandGrantDateFairValueDetails">
        <link:definition>9955577 - Disclosure - Stock-based Compensation - Schedule of Unamortized Compensation Cost and Grant Date Fair Value (Details)</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType id="SubsequentEventsDetails" roleURI="http://www.energyrecovery.com/role/SubsequentEventsDetails">
        <link:definition>9955578 - Disclosure - Subsequent Events (Details)</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
    </xs:appinfo>
  </xs:annotation>
  <xs:element id="erii_AuditInformationAbstract" abstract="true" name="AuditInformationAbstract" nillable="true" xbrli:periodType="duration" substitutionGroup="xbrli:item" type="xbrli:stringItemType"/>
  <xs:element id="erii_AccruedExpensesAndOtherCurrentLiabilities" abstract="false" name="AccruedExpensesAndOtherCurrentLiabilities" nillable="true" xbrli:periodType="instant" xbrli:balance="credit" substitutionGroup="xbrli:item" type="xbrli:monetaryItemType"/>
  <xs:element id="erii_NumberOfSharesUsedInPerShareCalculations" abstract="true" name="NumberOfSharesUsedInPerShareCalculations" nillable="true" xbrli:periodType="duration" substitutionGroup="xbrli:item" type="xbrli:stringItemType"/>
  <xs:element id="erii_TreasureStockSharesAcquiredCommonStockAdjustment" abstract="false" name="TreasureStockSharesAcquiredCommonStockAdjustment" nillable="true" xbrli:periodType="duration" substitutionGroup="xbrli:item" type="xbrli:sharesItemType"/>
  <xs:element id="erii_WarrantyAccrualAdjustmentForExpiredWarranties" abstract="false" name="WarrantyAccrualAdjustmentForExpiredWarranties" nillable="true" xbrli:periodType="duration" xbrli:balance="debit" substitutionGroup="xbrli:item" type="xbrli:monetaryItemType"/>
  <xs:element id="erii_IncreaseDecreaseInCostsInExcessOfBillingsOnUncompletedContractsOrPrograms1" abstract="false" name="IncreaseDecreaseInCostsInExcessOfBillingsOnUncompletedContractsOrPrograms1" nillable="true" xbrli:periodType="duration" xbrli:balance="debit" substitutionGroup="xbrli:item" type="xbrli:monetaryItemType"/>
  <xs:element id="erii_IncreaseDecreaseInContractLiabilities" abstract="false" name="IncreaseDecreaseInContractLiabilities" nillable="true" xbrli:periodType="duration" xbrli:balance="debit" substitutionGroup="xbrli:item" type="xbrli:monetaryItemType"/>
  <xs:element id="erii_PaymentsForRepurchaseOfCommonStockExciseTax" abstract="false" name="PaymentsForRepurchaseOfCommonStockExciseTax" nillable="true" xbrli:periodType="duration" xbrli:balance="credit" substitutionGroup="xbrli:item" type="xbrli:monetaryItemType"/>
  <xs:element id="erii_ExciseTaxOnShareRepurchasesAccruedButNotYetPaid" abstract="false" name="ExciseTaxOnShareRepurchasesAccruedButNotYetPaid" nillable="true" xbrli:periodType="duration" xbrli:balance="credit" substitutionGroup="xbrli:item" type="xbrli:monetaryItemType"/>
  <xs:element id="erii_OtherFinancialInformationAbstract" abstract="true" name="OtherFinancialInformationAbstract" nillable="true" xbrli:periodType="duration" substitutionGroup="xbrli:item" type="xbrli:stringItemType"/>
  <xs:element id="erii_PropertyPlantAndEquipmentEstimatedUsefulLivesTableTextBlock" abstract="false" name="PropertyPlantAndEquipmentEstimatedUsefulLivesTableTextBlock" nillable="true" xbrli:periodType="duration" substitutionGroup="xbrli:item" type="dtr-types:textBlockItemType"/>
  <xs:element id="erii_ContractWithCustomerContractAssetsActivityTableTextBlock" abstract="false" name="ContractWithCustomerContractAssetsActivityTableTextBlock" nillable="true" xbrli:periodType="duration" substitutionGroup="xbrli:item" type="dtr-types:textBlockItemType"/>
  <xs:element id="erii_ContractWithCustomerContractLiabilityActivityTableTextBlock" abstract="false" name="ContractWithCustomerContractLiabilityActivityTableTextBlock" nillable="true" xbrli:periodType="duration" substitutionGroup="xbrli:item" type="dtr-types:textBlockItemType"/>
  <xs:element id="erii_ScheduleOfAllowanceForDoubtfulAccountsTableTextBlock" abstract="false" name="ScheduleOfAllowanceForDoubtfulAccountsTableTextBlock" nillable="true" xbrli:periodType="duration" substitutionGroup="xbrli:item" type="dtr-types:textBlockItemType"/>
  <xs:element id="erii_ScheduleOfDepreciationExpenseTableTextBlock" abstract="false" name="ScheduleOfDepreciationExpenseTableTextBlock" nillable="true" xbrli:periodType="duration" substitutionGroup="xbrli:item" type="dtr-types:textBlockItemType"/>
  <xs:element id="erii_ScheduleOfAmortizedCostAndFairValueOfAvailableForSaleSecuritiesTableTextBlock" abstract="false" name="ScheduleOfAmortizedCostAndFairValueOfAvailableForSaleSecuritiesTableTextBlock" nillable="true" xbrli:periodType="duration" substitutionGroup="xbrli:item" type="dtr-types:textBlockItemType"/>
  <xs:element id="erii_DebtSecuritiesAvailableForSaleProceedsFromSaleTableTextBlock" abstract="false" name="DebtSecuritiesAvailableForSaleProceedsFromSaleTableTextBlock" nillable="true" xbrli:periodType="duration" substitutionGroup="xbrli:item" type="dtr-types:textBlockItemType"/>
  <xs:element id="erii_LeaseTermAndDiscountRateTableTextBlock" abstract="false" name="LeaseTermAndDiscountRateTableTextBlock" nillable="true" xbrli:periodType="duration" substitutionGroup="xbrli:item" type="dtr-types:textBlockItemType"/>
  <xs:element id="erii_SECSchedule1209ScheduleOfValuationAndQualifyingAccountsDisclosureTableTextBlock" abstract="false" name="SECSchedule1209ScheduleOfValuationAndQualifyingAccountsDisclosureTableTextBlock" nillable="true" xbrli:periodType="duration" substitutionGroup="xbrli:item" type="dtr-types:textBlockItemType"/>
  <xs:element id="erii_ScheduleOfShareBasedPaymentAwardValuationAssumptionsTableTextBlock" abstract="false" name="ScheduleOfShareBasedPaymentAwardValuationAssumptionsTableTextBlock" nillable="true" xbrli:periodType="duration" substitutionGroup="xbrli:item" type="dtr-types:textBlockItemType"/>
  <xs:element id="erii_ScheduleOfForfeitureRatesTableTextBlock" abstract="false" name="ScheduleOfForfeitureRatesTableTextBlock" nillable="true" xbrli:periodType="duration" substitutionGroup="xbrli:item" type="dtr-types:textBlockItemType"/>
  <xs:element id="erii_ScheduleOfGrantDateFairValueOfEquityInstrumentsVestedTableTextBlock" abstract="false" name="ScheduleOfGrantDateFairValueOfEquityInstrumentsVestedTableTextBlock" nillable="true" xbrli:periodType="duration" substitutionGroup="xbrli:item" type="dtr-types:textBlockItemType"/>
  <xs:element id="erii_ScheduleOfUnamortizedCompensationCostAndWeightedAverageServicePeriodTableTextBlock" abstract="false" name="ScheduleOfUnamortizedCompensationCostAndWeightedAverageServicePeriodTableTextBlock" nillable="true" xbrli:periodType="duration" substitutionGroup="xbrli:item" type="dtr-types:textBlockItemType"/>
  <xs:element id="erii_AccountingPoliciesTable" abstract="true" name="AccountingPoliciesTable" nillable="true" xbrli:periodType="duration" substitutionGroup="xbrldt:hypercubeItem" type="xbrli:stringItemType"/>
  <xs:element id="erii_EquipmentUsedInManufactureOfCeramicComponentsMember" abstract="true" name="EquipmentUsedInManufactureOfCeramicComponentsMember" nillable="true" xbrli:periodType="duration" substitutionGroup="xbrli:item" type="dtr-types:domainItemType"/>
  <xs:element id="erii_OfficeEquipmentFurnitureAndFixturesMember" abstract="true" name="OfficeEquipmentFurnitureAndFixturesMember" nillable="true" xbrli:periodType="duration" substitutionGroup="xbrli:item" type="dtr-types:domainItemType"/>
  <xs:element id="erii_AccountingPoliciesLineItems" abstract="true" name="AccountingPoliciesLineItems" nillable="true" xbrli:periodType="duration" substitutionGroup="xbrli:item" type="xbrli:stringItemType"/>
  <xs:element id="erii_CustomerPaymentPeriodAfterProductDelivery" abstract="false" name="CustomerPaymentPeriodAfterProductDelivery" nillable="true" xbrli:periodType="duration" substitutionGroup="xbrli:item" type="xbrli:durationItemType"/>
  <xs:element id="erii_RetentionPaymentsPercentage" abstract="false" name="RetentionPaymentsPercentage" nillable="true" xbrli:periodType="duration" substitutionGroup="xbrli:item" type="dtr-types:percentItemType"/>
  <xs:element id="erii_RetentionPaymentsPaymentPeriodAfterProductDelivery" abstract="false" name="RetentionPaymentsPaymentPeriodAfterProductDelivery" nillable="true" xbrli:periodType="duration" substitutionGroup="xbrli:item" type="xbrli:durationItemType"/>
  <xs:element id="erii_ProductWarrantyTerm" abstract="false" name="ProductWarrantyTerm" nillable="true" xbrli:periodType="duration" substitutionGroup="xbrli:item" type="xbrli:durationItemType"/>
  <xs:element id="erii_MegaprojectMember" abstract="true" name="MegaprojectMember" nillable="true" xbrli:periodType="duration" substitutionGroup="xbrli:item" type="dtr-types:domainItemType"/>
  <xs:element id="erii_OriginalEquipmentManufacturerMember" abstract="true" name="OriginalEquipmentManufacturerMember" nillable="true" xbrli:periodType="duration" substitutionGroup="xbrli:item" type="dtr-types:domainItemType"/>
  <xs:element id="erii_RevenueFromContractWithCustomerRevenueBenchmarkAmount" abstract="false" name="RevenueFromContractWithCustomerRevenueBenchmarkAmount" nillable="true" xbrli:periodType="duration" xbrli:balance="credit" substitutionGroup="xbrli:item" type="xbrli:monetaryItemType"/>
  <xs:element id="erii_RevenueFromContractWithCustomerShipmentTimelinePeriodPostTender" abstract="false" name="RevenueFromContractWithCustomerShipmentTimelinePeriodPostTender" nillable="true" xbrli:periodType="duration" substitutionGroup="xbrli:item" type="xbrli:durationItemType"/>
  <xs:element id="erii_MiddleEastAndAfricaMember" abstract="true" name="MiddleEastAndAfricaMember" nillable="true" xbrli:periodType="duration" substitutionGroup="xbrli:item" type="dtr-types:domainItemType"/>
  <xs:element id="erii_OtherMember" abstract="true" name="OtherMember" nillable="true" xbrli:periodType="duration" substitutionGroup="xbrli:item" type="dtr-types:domainItemType"/>
  <xs:element id="erii_AftermarketMember" abstract="true" name="AftermarketMember" nillable="true" xbrli:periodType="duration" substitutionGroup="xbrli:item" type="dtr-types:domainItemType"/>
  <xs:element id="erii_WaterSegmentMember" abstract="true" name="WaterSegmentMember" nillable="true" xbrli:periodType="duration" substitutionGroup="xbrli:item" type="dtr-types:domainItemType"/>
  <xs:element id="erii_EmergingTechnologiesSegmentMember" abstract="true" name="EmergingTechnologiesSegmentMember" nillable="true" xbrli:periodType="duration" substitutionGroup="xbrli:item" type="dtr-types:domainItemType"/>
  <xs:element id="erii_ContractWithCustomerAssetsRollForward" abstract="true" name="ContractWithCustomerAssetsRollForward" nillable="true" xbrli:periodType="duration" substitutionGroup="xbrli:item" type="xbrli:stringItemType"/>
  <xs:element id="erii_ContractWithCustomerLiabilityRollForward" abstract="true" name="ContractWithCustomerLiabilityRollForward" nillable="true" xbrli:periodType="duration" substitutionGroup="xbrli:item" type="xbrli:stringItemType"/>
  <xs:element id="erii_ContractWithCustomerLiabilityIncreaseDecreaseFromCashReceipts" abstract="false" name="ContractWithCustomerLiabilityIncreaseDecreaseFromCashReceipts" nillable="true" xbrli:periodType="duration" xbrli:balance="credit" substitutionGroup="xbrli:item" type="xbrli:monetaryItemType"/>
  <xs:element id="erii_RestructuringAccrualAmount" abstract="false" name="RestructuringAccrualAmount" nillable="true" xbrli:periodType="instant" xbrli:balance="credit" substitutionGroup="xbrli:item" type="xbrli:monetaryItemType"/>
  <xs:element id="erii_OtherAccruedExpensesAndCurrentLiabilities" abstract="false" name="OtherAccruedExpensesAndCurrentLiabilities" nillable="true" xbrli:periodType="instant" xbrli:balance="credit" substitutionGroup="xbrli:item" type="xbrli:monetaryItemType"/>
  <xs:element id="erii_ShortTermAndLongTermInvestmentsMember" abstract="true" name="ShortTermAndLongTermInvestmentsMember" nillable="true" xbrli:periodType="duration" substitutionGroup="xbrli:item" type="dtr-types:domainItemType"/>
  <xs:element id="erii_LongtermInvestmentMember" abstract="true" name="LongtermInvestmentMember" nillable="true" xbrli:periodType="duration" substitutionGroup="xbrli:item" type="dtr-types:domainItemType"/>
  <xs:element id="erii_MunicipalNotesAndBondsMember" abstract="true" name="MunicipalNotesAndBondsMember" nillable="true" xbrli:periodType="duration" substitutionGroup="xbrli:item" type="dtr-types:domainItemType"/>
  <xs:element id="erii_JPMorganChaseBankNAMember" abstract="true" name="JPMorganChaseBankNAMember" nillable="true" xbrli:periodType="duration" substitutionGroup="xbrli:item" type="dtr-types:domainItemType"/>
  <xs:element id="erii_CommittedRevolvingCreditLineMember" abstract="true" name="CommittedRevolvingCreditLineMember" nillable="true" xbrli:periodType="duration" substitutionGroup="xbrli:item" type="dtr-types:domainItemType"/>
  <xs:element id="erii_EventOfDefaultMember" abstract="true" name="EventOfDefaultMember" nillable="true" xbrli:periodType="duration" substitutionGroup="xbrli:item" type="dtr-types:domainItemType"/>
  <xs:element id="erii_DebtInstrumentCovenantComplianceLeverageRatioNetDebtToAdjustedEBITDA" abstract="false" name="DebtInstrumentCovenantComplianceLeverageRatioNetDebtToAdjustedEBITDA" nillable="true" xbrli:periodType="instant" substitutionGroup="xbrli:item" type="xbrli:pureItemType"/>
  <xs:element id="erii_LineOfCreditFacilityCashCollateralPercentOfExposure" abstract="false" name="LineOfCreditFacilityCashCollateralPercentOfExposure" nillable="true" xbrli:periodType="instant" substitutionGroup="xbrli:item" type="dtr-types:percentItemType"/>
  <xs:element id="erii_SanLeandroCaliforniaMember" abstract="true" name="SanLeandroCaliforniaMember" nillable="true" xbrli:periodType="duration" substitutionGroup="xbrli:item" type="dtr-types:domainItemType"/>
  <xs:element id="erii_TracyCaliforniaMember" abstract="true" name="TracyCaliforniaMember" nillable="true" xbrli:periodType="duration" substitutionGroup="xbrli:item" type="dtr-types:domainItemType"/>
  <xs:element id="erii_KatyTexasMember" abstract="true" name="KatyTexasMember" nillable="true" xbrli:periodType="duration" substitutionGroup="xbrli:item" type="dtr-types:domainItemType"/>
  <xs:element id="erii_HeadquartersRDAndManufacturingSanLeandroMember" abstract="true" name="HeadquartersRDAndManufacturingSanLeandroMember" nillable="true" xbrli:periodType="duration" substitutionGroup="xbrli:item" type="dtr-types:domainItemType"/>
  <xs:element id="erii_ManufacturingAndWarehouseTracyLeaseMember" abstract="true" name="ManufacturingAndWarehouseTracyLeaseMember" nillable="true" xbrli:periodType="duration" substitutionGroup="xbrli:item" type="dtr-types:domainItemType"/>
  <xs:element id="erii_SubleaseMember" abstract="true" name="SubleaseMember" nillable="true" xbrli:periodType="duration" substitutionGroup="xbrli:item" type="dtr-types:domainItemType"/>
  <xs:element id="erii_LesseeOperatingLeaseNumberOfRenewalOptions" abstract="false" name="LesseeOperatingLeaseNumberOfRenewalOptions" nillable="true" xbrli:periodType="instant" substitutionGroup="xbrli:item" type="xbrli:integerItemType"/>
  <xs:element id="erii_LesseeOperatingLeaseLiabilityToBePaidAfterYearFive" abstract="false" name="LesseeOperatingLeaseLiabilityToBePaidAfterYearFive" nillable="true" xbrli:periodType="instant" xbrli:balance="credit" substitutionGroup="xbrli:item" type="xbrli:monetaryItemType"/>
  <xs:element id="erii_EffectiveIncomeTaxRateReconciliationNonDeductibleCompensationAmount" abstract="false" name="EffectiveIncomeTaxRateReconciliationNonDeductibleCompensationAmount" nillable="true" xbrli:periodType="duration" xbrli:balance="debit" substitutionGroup="xbrli:item" type="xbrli:monetaryItemType"/>
  <xs:element id="erii_EffectiveIncomeTaxRateReconciliationNonDeductibleCompensationPercent" abstract="false" name="EffectiveIncomeTaxRateReconciliationNonDeductibleCompensationPercent" nillable="true" xbrli:periodType="duration" substitutionGroup="xbrli:item" type="dtr-types:percentItemType"/>
  <xs:element id="erii_DeferredTaxAssetsAmortizationOfResearchAndExperimentalExpenditures" abstract="false" name="DeferredTaxAssetsAmortizationOfResearchAndExperimentalExpenditures" nillable="true" xbrli:periodType="instant" xbrli:balance="debit" substitutionGroup="xbrli:item" type="xbrli:monetaryItemType"/>
  <xs:element id="erii_DeferredTaxAssetsOperatingLeaseLiabilities" abstract="false" name="DeferredTaxAssetsOperatingLeaseLiabilities" nillable="true" xbrli:periodType="instant" xbrli:balance="debit" substitutionGroup="xbrli:item" type="xbrli:monetaryItemType"/>
  <xs:element id="erii_DeferredTaxAssetsTaxCreditCarryforwardsResearchAndForeign" abstract="false" name="DeferredTaxAssetsTaxCreditCarryforwardsResearchAndForeign" nillable="true" xbrli:periodType="instant" xbrli:balance="debit" substitutionGroup="xbrli:item" type="xbrli:monetaryItemType"/>
  <xs:element id="erii_DeferredTaxLiabilitiesRightOfUseAsset" abstract="false" name="DeferredTaxLiabilitiesRightOfUseAsset" nillable="true" xbrli:periodType="instant" xbrli:balance="credit" substitutionGroup="xbrli:item" type="xbrli:monetaryItemType"/>
  <xs:element id="erii_DeferredTaxAssetValuationAllowanceRollforwardRollForward" abstract="true" name="DeferredTaxAssetValuationAllowanceRollforwardRollForward" nillable="true" xbrli:periodType="duration" substitutionGroup="xbrli:item" type="xbrli:stringItemType"/>
  <xs:element id="erii_ResearchAndDevelopmentMinimumTaxandForeignTaxCreditCarryforwardMember" abstract="true" name="ResearchAndDevelopmentMinimumTaxandForeignTaxCreditCarryforwardMember" nillable="true" xbrli:periodType="duration" substitutionGroup="xbrli:item" type="dtr-types:domainItemType"/>
  <xs:element id="erii_UnrecognizedTaxBenefitsIncreasesAbstract" abstract="true" name="UnrecognizedTaxBenefitsIncreasesAbstract" nillable="true" xbrli:periodType="duration" substitutionGroup="xbrli:item" type="xbrli:stringItemType"/>
  <xs:element id="erii_UnrecognizedTaxBenefitsDecreaseAbstract" abstract="true" name="UnrecognizedTaxBenefitsDecreaseAbstract" nillable="true" xbrli:periodType="duration" substitutionGroup="xbrli:item" type="xbrli:stringItemType"/>
  <xs:element id="erii_OthersMember" abstract="true" name="OthersMember" nillable="true" xbrli:periodType="duration" substitutionGroup="xbrli:item" type="dtr-types:domainItemType"/>
  <xs:element id="erii_CustomerAMember" abstract="true" name="CustomerAMember" nillable="true" xbrli:periodType="duration" substitutionGroup="xbrli:item" type="dtr-types:domainItemType"/>
  <xs:element id="erii_CustomerBMember" abstract="true" name="CustomerBMember" nillable="true" xbrli:periodType="duration" substitutionGroup="xbrli:item" type="dtr-types:domainItemType"/>
  <xs:element id="erii_CustomerCMember" abstract="true" name="CustomerCMember" nillable="true" xbrli:periodType="duration" substitutionGroup="xbrli:item" type="dtr-types:domainItemType"/>
  <xs:element id="erii_CustomerDMember" abstract="true" name="CustomerDMember" nillable="true" xbrli:periodType="duration" substitutionGroup="xbrli:item" type="dtr-types:domainItemType"/>
  <xs:element id="erii_VendorAMember" abstract="true" name="VendorAMember" nillable="true" xbrli:periodType="duration" substitutionGroup="xbrli:item" type="dtr-types:domainItemType"/>
  <xs:element id="erii_VendorBMember" abstract="true" name="VendorBMember" nillable="true" xbrli:periodType="duration" substitutionGroup="xbrli:item" type="dtr-types:domainItemType"/>
  <xs:element id="erii_VendorCMember" abstract="true" name="VendorCMember" nillable="true" xbrli:periodType="duration" substitutionGroup="xbrli:item" type="dtr-types:domainItemType"/>
  <xs:element id="erii_VendorDMember" abstract="true" name="VendorDMember" nillable="true" xbrli:periodType="duration" substitutionGroup="xbrli:item" type="dtr-types:domainItemType"/>
  <xs:element id="erii_ShareRepurchaseProgramMember" abstract="true" name="ShareRepurchaseProgramMember" nillable="true" xbrli:periodType="duration" substitutionGroup="xbrli:item" type="dtr-types:domainItemType"/>
  <xs:element id="erii_February2025AuthorizationMember" abstract="true" name="February2025AuthorizationMember" nillable="true" xbrli:periodType="duration" substitutionGroup="xbrli:item" type="dtr-types:domainItemType"/>
  <xs:element id="erii_August2025AuthorizationMember" abstract="true" name="August2025AuthorizationMember" nillable="true" xbrli:periodType="duration" substitutionGroup="xbrli:item" type="dtr-types:domainItemType"/>
  <xs:element id="erii_November2024AuthorizationMember" abstract="true" name="November2024AuthorizationMember" nillable="true" xbrli:periodType="duration" substitutionGroup="xbrli:item" type="dtr-types:domainItemType"/>
  <xs:element id="erii_A2020IncentivePlanMember" abstract="true" name="A2020IncentivePlanMember" nillable="true" xbrli:periodType="duration" substitutionGroup="xbrli:item" type="dtr-types:domainItemType"/>
  <xs:element id="erii_PredecessorPlansMember" abstract="true" name="PredecessorPlansMember" nillable="true" xbrli:periodType="duration" substitutionGroup="xbrli:item" type="dtr-types:domainItemType"/>
  <xs:element id="erii_EmployeeStockOptionsCreatedUnderNewPlanMember" abstract="true" name="EmployeeStockOptionsCreatedUnderNewPlanMember" nillable="true" xbrli:periodType="duration" substitutionGroup="xbrli:item" type="dtr-types:domainItemType"/>
  <xs:element id="erii_EmployeeStockOptionsUnissuedUnderPriorPlanMember" abstract="true" name="EmployeeStockOptionsUnissuedUnderPriorPlanMember" nillable="true" xbrli:periodType="duration" substitutionGroup="xbrli:item" type="dtr-types:domainItemType"/>
  <xs:element id="erii_PerformanceRestrictedStockUnitsPRSUsMember" abstract="true" name="PerformanceRestrictedStockUnitsPRSUsMember" nillable="true" xbrli:periodType="duration" substitutionGroup="xbrli:item" type="dtr-types:domainItemType"/>
  <xs:element id="erii_EmployeeStockOptionAndStockAppreciationRightsMember" abstract="true" name="EmployeeStockOptionAndStockAppreciationRightsMember" nillable="true" xbrli:periodType="duration" substitutionGroup="xbrli:item" type="dtr-types:domainItemType"/>
  <xs:element id="erii_ShareBasedCompensationArrangementByShareBasedPaymentAwardForfeitureRate" abstract="false" name="ShareBasedCompensationArrangementByShareBasedPaymentAwardForfeitureRate" nillable="true" xbrli:periodType="duration" substitutionGroup="xbrli:item" type="dtr-types:percentItemType"/>
  <xs:element id="erii_ShareBasedCompensationArrangementByShareBasedPaymentAwardOptionsAndStockAppreciationRightsVestedInPeriodFairValue" abstract="false" name="ShareBasedCompensationArrangementByShareBasedPaymentAwardOptionsAndStockAppreciationRightsVestedInPeriodFairValue" nillable="true" xbrli:periodType="duration" xbrli:balance="debit" substitutionGroup="xbrli:item" type="xbrli:monetaryItemType"/>
  <xs:element id="erii_ShareBasedCompensationArrangementByShareBasedPaymentAwardEquityInstrumentsVestedInPeriodFairValue" abstract="false" name="ShareBasedCompensationArrangementByShareBasedPaymentAwardEquityInstrumentsVestedInPeriodFairValue" nillable="true" xbrli:periodType="duration" xbrli:balance="debit" substitutionGroup="xbrli:item" type="xbrli:monetaryItemType"/>
  <xs:element id="erii_StockOptionsAndStockAppreciationRightsSARsMember" abstract="true" name="StockOptionsAndStockAppreciationRightsSARsMember" nillable="true" xbrli:periodType="duration" substitutionGroup="xbrli:item" type="dtr-types:domainItemType"/>
  <xs:element id="erii_RodneyClementeMember" abstract="true" name="RodneyClementeMember" nillable="true" xbrli:periodType="duration" substitutionGroup="xbrli:item" type="dtr-types:domainItemType"/>
  <xs:element id="erii_RamRamananMember" abstract="true" name="RamRamananMember" nillable="true" xbrli:periodType="duration" substitutionGroup="xbrli:item" type="dtr-types:domainItemType"/>
</xs:schema>
